#!/usr/bin/env node
'use strict';

require('colors');

var _commander = require('commander');

var _commander2 = _interopRequireDefault(_commander);

var _package = require('../../package');

var packageConf = _interopRequireWildcard(_package);

var _init = require('../commands/init');

var _init2 = _interopRequireDefault(_init);

var _page = require('../commands/page');

var _page2 = _interopRequireDefault(_page);

var _component = require('../commands/component');

var _component2 = _interopRequireDefault(_component);

var _dev = require('../commands/dev');

var _dev2 = _interopRequireDefault(_dev);

var _release = require('../commands/release');

var _release2 = _interopRequireDefault(_release);

var _assemble = require('../commands/assemble');

var _assemble2 = _interopRequireDefault(_assemble);

var _update = require('../commands/update');

var _update2 = _interopRequireDefault(_update);

var _lint = require('../commands/lint');

var _lint2 = _interopRequireDefault(_lint);

var _test = require('../commands/test');

var _test2 = _interopRequireDefault(_test);

var _boss = require('../commands/boss');

var _boss2 = _interopRequireDefault(_boss);

var _doctor = require('../commands/doctor');

var _doctor2 = _interopRequireDefault(_doctor);

var _open = require('../commands/open');

var _open2 = _interopRequireDefault(_open);

var _cdn = require('../commands/cdn');

var _cdn2 = _interopRequireDefault(_cdn);

var _cpd = require('../commands/cpd');

var _cpd2 = _interopRequireDefault(_cpd);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_commander2.default.version(packageConf.version, '-v, --version');

_commander2.default.command('init [name]').description('\n    \u4E0D\u4F20\u5165[name]\u503C\u65F6\uFF0C\u5219\u5728\u5F53\u524D\u76EE\u5F55\u4E0B\u521B\u5EFA\u9879\u76EE\u5E76\u521D\u59CB\u5316\n    \u82E5\u4F20\u5165[name]\u503C\uFF0C\u5219\u5728[name]\u76EE\u5F55\u4E0B\u521B\u5EFA\u9879\u76EE\u5E76\u521D\u59CB\u5316\n    \n    \u521B\u5EFA\u9879\u76EE\u7684\u76EE\u5F55\u5FC5\u987B\u4E3A\u7A7A\u76EE\u5F55\n    \n    \u4F7F\u7528\u8303\u4F8B:\n      weshop init \u5728\u5F53\u524D\u76EE\u5F55\u521B\u5EFA\u9879\u76EE\u5E76\u521D\u59CB\u5316\n      weshop init sample \u521B\u5EFA sample \u76EE\u5F55\uFF0C\u5E76\u5728 sample \u76EE\u5F55\u4E2D\u521B\u5EFA\u5E76\u521D\u59CB\u5316\u9879\u76EE\n      weshop init sample/subsample \u521B\u5EFA sample/subsample \u76EE\u5F55\uFF0C\u5E76\u5728 subsample \u76EE\u5F55\u4E2D\u521B\u5EFA\u5E76\u521D\u59CB\u5316\u9879\u76EE\n  ').action(_init2.default);

_commander2.default.command('page <name> [otherNames...]').alias('p').description('\n    \u5728pages\u76EE\u5F55\u4E0B\u521B\u5EFA\u9875\u9762\u6A21\u5757\uFF0C\u5E76\u81EA\u52A8\u6CE8\u518C\u5230app.json\u4E2D\uFF0C\u5305\u62EC\u9875\u9762\u76EE\u5F55\u53CA\u5176\u6240\u5FC5\u987B\u7684\u6587\u4EF6\uFF0C\u652F\u6301\u591A\u9875\u9762\u6279\u91CF\u521B\u5EFA\u548C\u9875\u9762\u540D\u89E3\u6790\n    \n    \u4F7F\u7528\u8303\u4F8B:\n      weshop page foo \u5728pages\u76EE\u5F55\u4E0B\u521B\u5EFA\u4E00\u4E2Afoo\u9875\u9762\n      weshop page apple banana cat \u5728pages\u76EE\u5F55\u4E0B\u6279\u91CF\u521B\u5EFAapple banana cat\u9875\u9762\n      weshop page foo/bar foo/cat \u5728pages/foo\u76EE\u5F55\u4E0B\u521B\u5EFAbar cat\u9875\u9762\n   ').action(_page2.default);

_commander2.default.command('component <name> [otherNames...]').alias('c').description('\n    \u5728components\u76EE\u5F55\u4E0B\u521B\u5EFA\u7EC4\u4EF6\u6A21\u5757\uFF0C\u5305\u62EC\u7EC4\u4EF6\u76EE\u5F55\u53CA\u5176\u6240\u5FC5\u987B\u7684\u6587\u4EF6\n    \n    \u4F7F\u7528\u8303\u4F8B:\n      weshop component foo \u5728components\u76EE\u5F55\u4E0B\u521B\u5EFA\u4E00\u4E2Afoo\u7EC4\u4EF6\n      weshop component apple banana cat \u5728components\u76EE\u5F55\u4E0B\u6279\u91CF\u521B\u5EFAapple banana cat\u7EC4\u4EF6\n      weshop component foo/bar foo/cat \u5728components/foo\u76EE\u5F55\u4E0B\u521B\u5EFAbar cat\u7EC4\u4EF6\n   ').action(_component2.default);

_commander2.default.command('dev').description('项目开发模式，进入实时编译模式，在子项目目录下执行会先拉取主项目代码并合包').action(_dev2.default);

_commander2.default.command('update').alias('u').description('更新依赖，读取weshop.config.json#dependencies配置').action(_update2.default);

_commander2.default.command('test [root]').description('自动测试当前目录或指定的root目录下的小程序，直接调取微信开发者工具的测试接口，效果等同').action(_test2.default);

_commander2.default.command('assemble [repositories...]').alias('a').option('--env <env>', '指定编译环境，例如： --env stage', /^(dev|test|stage|prod)$/i, 'dev').option('-d, --debug', '调试模式，代码不进行压缩').description('\n    \u5408\u5E76\u5B50\u9879\u76EE\uFF0C\u53EF\u901A\u8FC7#branch-name\u6307\u5B9A\u5206\u652F\uFF0C\u4E0D\u4F20\u53C2\u6570\u65F6\u9ED8\u8BA4\u8BFB\u53D6weshop.config.json\u6587\u4EF6\u6279\u91CF\u7F16\u5305\n      \u4F7F\u7528\u8303\u4F8B:\n      weshop assemble\n        1. \u5728\u4E3B\u9879\u76EE\u76EE\u5F55\u4E0B\u8FD0\u884C\uFF0C\u81EA\u52A8\u8BFB\u53D6weshop.config.json\u6587\u4EF6\uFF0C\u6839\u636E\u6587\u4EF6\u914D\u7F6E\u4E00\u6B21\u6027\u6279\u91CF\u5408\u5305\n        2. \u5728\u5B50\u9879\u76EE\u76EE\u5F55\u4E0B\u8FD0\u884C\uFF0C\u81EA\u52A8\u8BFB\u53D6weshop.config.json\u6587\u4EF6\uFF0C\u5E76\u62C9\u53D6\u4E3B\u9879\u76EE\u4EE3\u7801\u8FDB\u884C\u5408\u5305\n    \n      weshop assemble git@193.112.141.128:mini-program/jiaoguan.git\n        \u5728\u4EFB\u610F\u9879\u76EE\u76EE\u5F55\u4E0B\u8FD0\u884C\uFF0C\u62C9\u53D6git@193.112.141.128:mini-program/jiaoguan.git\u4EE3\u7801\u5E76\u5408\u5305\n        \u82E5\u5728\u5B50\u9879\u76EE\u4E0B\u8FD0\u884C\u4F1A\u5148\u62C9\u53D6\u4E3B\u9879\u76EE\u4EE3\u7801\n        \n      weshop assemble git@193.112.141.128:mini-program/jiaoguan.git#foo\n        \u5728\u4EFB\u610F\u9879\u76EE\u76EE\u5F55\u8FD0\u884C\uFF0C\u62C9\u53D6git@193.112.141.128:mini-program/jiaoguan.git\u7684foo\u5206\u652F\u4EE3\u7801\u5E76\u5408\u5305\n        \u82E5\u5728\u5B50\u9879\u76EE\u4E0B\u8FD0\u884C\u4F1A\u5148\u62C9\u53D6\u4E3B\u9879\u76EE\u4EE3\u7801\n        \n      weshop assemble git@193.112.141.128:mini-program/jiaoguan.git git@193.112.141.128:mini-program/jiaoguan_uroad.git\n        \u5728\u4EFB\u610F\u9879\u76EE\u76EE\u5F55\u8FD0\u884C\uFF0C\u5408\u5E76\u591A\u4E2A\u5B50\u9879\u76EE\n  ').action(_assemble2.default);

_commander2.default.command('lint').option('-f, --fix', '修复校验问题').option('-d, --download', '下载.eslintrc.js文件到本地目录').description('\n    \u6821\u9A8C\u4EE3\u7801\u89C4\u8303\uFF0C\u6821\u9A8C\u8FC7\u7A0B\u4E2D\u4F1A\u8F93\u51FA\u6821\u9A8C\u7ED3\u679C\uFF0C\u5E76\u5728\u5F53\u524D\u76EE\u5F55\u751F\u6210\u62A5\u544A\u6587\u4EF6eslint-report.html\uFF0C\u8BE5\u6587\u4EF6\u4F1A\u6DFB\u52A0\u5230.gitignore\n    \n    \u4F7F\u7528\u8303\u4F8B:\n      weshop lint \u5F53\u524D\u76EE\u5F55\u4E0B\u8FDB\u884C\u4EE3\u7801\u6821\u9A8C\uFF0C\u5E76\u8F93\u51FA\u6821\u9A8C\u7ED3\u679C\uFF0C\u4E0D\u8FDB\u884C\u81EA\u52A8\u4FEE\u590D\uFF0C\u4F1A\u6392\u9664\u516C\u5171\u4F9D\u8D56\u6587\u4EF6\n      weshop lint -f|--fix \u6821\u9A8C\u4EE3\u7801\u5E76\u81EA\u52A8\u4FEE\u590D\u53EF\u4FEE\u590D\u7684\u95EE\u9898\n      weshop lint -d|--download \u5C06\u6821\u9A8C\u4F7F\u7528\u7684.eslintrc.js\u6587\u4EF6\u4E0B\u8F7D\u5230\u672C\u5730\uFF0C\u5E76\u6DFB\u52A0\u5230.gitignore\n  ').action(_lint2.default);

_commander2.default.command('boss').option('-D, --doctor', '批量拉取代码并检测项目规范').option('--env <env>', '指定编译环境，例如： --env stage', /^(dev|test|stage|prod)$/i, 'dev').option('-d, --debug', '调试模式，代码不进行压缩').description('\n    \u8001\u677F\u4E00\u952E\u7F16\u5305\uFF0C\u6839\u636E\u4E3B\u9879\u76EEmaster\u5206\u652F\u7684weshop.config.json\u81EA\u52A8\u62C9\u53D6\u6240\u6709\u9879\u76EE\u4EE3\u7801\u5408\u5305\u76F4\u5230\u6253\u5F00\u5F00\u53D1\u8005\u5DE5\u5177\n  ').action(_boss2.default);

_commander2.default.command('doctor').alias('d').option('-f, --fix', '修复检测到的问题').description('\n    \u9879\u76EE\u89C4\u8303\u95EE\u9898\u8BCA\u65AD\uFF0C\u8BCA\u65AD\u5185\u5BB9\u5982\u4E0B\n    \n    1. \u662F\u5426\u5B58\u5728\u58F0\u660E\u4F46\u672A\u6CE8\u518C\u7684\u9875\u9762\uFF0C\u82E5\u4F7F\u7528-f|--fix\u53C2\u6570\uFF0C\u4F1A\u81EA\u52A8\u5220\u9664\u672A\u6CE8\u518C\u7684\u9875\u9762\n    2. \u662F\u5426\u5B58\u5728\u6CE8\u518C\u4F46\u672A\u58F0\u660E\u7684\u9875\u9762\uFF0C\u82E5\u4F7F\u7528-f|--fix\u53C2\u6570\uFF0C\u4F1A\u81EA\u52A8\u5220\u9664app.json\u672A\u58F0\u660E\u7684\u9875\u9762\u6CE8\u518C\n    3. \u662F\u5426\u5B58\u5728\u4E0D\u7B26\u5408\u9879\u76EE\u89C4\u8303\u7684\u76EE\u5F55/\u6587\u4EF6\uFF0C\u82E5\u4F7F\u7528-f|--fix\u53C2\u6570\uFF0C\u4F1A\u81EA\u52A8\u5220\u9664\u4E0D\u7B26\u5408\u89C4\u8303\u7684\u76EE\u5F55/\u6587\u4EF6\n  ').action(_doctor2.default);

_commander2.default.command('open [dir]').alias('o').description('\n    \u6253\u5F00weshop\u76F8\u5173\u76EE\u5F55\n\n    weshop open \u6253\u5F00weshop\u5DE5\u4F5C\u76EE\u5F55\uFF0C\u9ED8\u8BA4\u4E3A~/weshop/\u5C0F\u7A0B\u5E8FID\n    weshop open dist \u6253\u5F00\u5408\u5305\u7F16\u8BD1\u76EE\u5F55\uFF0C\u5DE5\u4F5C\u76EE\u5F55/dist\n    weshop open packages \u6253\u5F00\u5408\u5305\u6E90\u7801\u76EE\u5F55\uFF0C\u5DE5\u4F5C\u76EE\u5F55/packages\n    weshop open tmp \u6253\u5F00\u7F16\u8BD1\u4E34\u65F6\u76EE\u5F55\uFF0C\u5DE5\u4F5C\u76EE\u5F55/tmp\n  ').action(_open2.default);

_commander2.default.command('cdn [path]').description('\n    \u68C0\u6D4B\u5E76\u66FF\u6362\u9759\u6001\u8D44\u6E90\uFF0C\u6700\u7EC8\u6253\u5305\u6210\u4E00\u4E2A zip \u5305\n  ').action(_cdn2.default);

_commander2.default.command('release <subcommand>').description('\n    \u901A\u8FC7 git flow \u6D41\u7A0B\u53D1\u8D77 release\n    \u652F\u6301 release start \u548C release finish\n  ').action(_release2.default);

_commander2.default.command('cpd').description('\n    Copy/Paste Detector\uFF0C\u68C0\u6D4B\u91CD\u590D\u4EE3\u7801\n  ').action(_cpd2.default);

_commander2.default.parse(process.argv);