'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _fsExtra = require('fs-extra');

var _fsExtra2 = _interopRequireDefault(_fsExtra);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _os = require('os');

var _os2 = _interopRequireDefault(_os);

var _crossSpawn = require('cross-spawn');

var _crossSpawn2 = _interopRequireDefault(_crossSpawn);

var _constant = require('../common/constant');

var _core = require('../common/core');

var _lifecycle = require('./lifecycle');

var _assemble = require('./assemble');

var _assemble2 = _interopRequireDefault(_assemble);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (command) {
  var HOME = _os2.default.homedir();
  var DIR = _path2.default.resolve(HOME, 'weshop/boss');

  console.log('\u6B63\u5728\u542F\u52A8\u4E00\u952E\u5408\u5305\u7A0B\u5E8F');

  console.log('' + _constant.EOL);
  console.log('\u6B63\u5728\u7ED9\u60A8\u7F16\u5305\uFF0C\u8BF7\u9A9A\u7B49...'.magenta);
  _fs2.default.existsSync(DIR) && _fsExtra2.default.removeSync(DIR);
  _fs2.default.mkdirSync(DIR);
  process.chdir(DIR);

  (0, _core.gitChildProcessParser)(['clone', 'git@193.112.141.128:mini-program/digitalgd.git', '.'], { shell: true });
  if (command.doctor) {
    _crossSpawn2.default.sync('weshop', ['doctor'], { shell: true, stdio: 'inherit' });
    var WESHOP_CONFIG = (0, _core.getLocalConfig)();
    var tmp = (0, _core.createTmpDir)();
    process.chdir(tmp);
    WESHOP_CONFIG.subPackages.forEach(function (subPackage) {
      (0, _core.gitChildProcessParser)(['clone', subPackage], { shell: true });
      process.chdir((0, _core.getProjectNameFromGitUrl)(subPackage));
      _crossSpawn2.default.sync('weshop', ['doctor'], { shell: true, stdio: 'inherit' });
      process.chdir('..');
    });
    _fsExtra2.default.removeSync(tmp);
  } else {
    (0, _assemble2.default)([], command);
  }
  (0, _lifecycle.afterCommand)();
};