'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DIGITALGD_INDEX = exports.QUESTIONS = exports.RELEASE_VERSION_CGI = exports.RELEASE_VERSION_PREFIX = exports.DEFAULT_IMAGE_MAX_SIZE = exports.DEFAULT_CDN_PATH = exports.ENV_FILE_NAME = exports.CONFIG_FILE_NAME = exports.EXTNAME_IMAGE = exports.PATTERNS = exports.FILES = exports.ASSEMBLE_REPORT_NAME = exports.PROJECT_CONFIG_FILE_NAME = exports.WESHOP_CONFIG_FILE_NAME = exports.INDENT = exports.SEP = exports.EOL = exports.APP_NAME = undefined;

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var APP_NAME = exports.APP_NAME = 'weshop';
var EOL = exports.EOL = require('os').EOL;
var SEP = exports.SEP = _path2.default.sep;
var INDENT = exports.INDENT = 2;

var WESHOP_CONFIG_FILE_NAME = exports.WESHOP_CONFIG_FILE_NAME = 'weshop.config.json';
var PROJECT_CONFIG_FILE_NAME = exports.PROJECT_CONFIG_FILE_NAME = 'project.config.json';
var ASSEMBLE_REPORT_NAME = exports.ASSEMBLE_REPORT_NAME = 'assemble-report.json';
var FILES = exports.FILES = {
  PROJECT_FILES: ['components', 'constant', 'images', 'pages', 'third', 'app.js', 'main-app.js', 'sub-app.js', 'app.json', 'app.wxss', 'project.config.json', 'weshop.config.json'],
  NON_PROJECT_FILES: ['.git', '.gitignore', '.editorconfig']
};

/**
 * 正则表达式
 */
var PATTERNS = exports.PATTERNS = {
  PAGE_CONSTRUCTOR: /Page\s*\(\s*\{[\s\S]+\}\s*\)/g,
  APP_OPTIONS: /module\.exports\s*=\s*(\{[\s\S]*\});?/g,
  PAGE_OPTIONS: /Page\(\{[\s\S]*\}\);?/g,
  IMAGES: /["']{1}(\w|\/|\.|-|@|_)+?(\.png|\.jpg|\.svg|\.gif|\.jpeg){1}["']{1}/g,
  URL: /(http[s]:)?\/\//
};

/**
 * 固定后缀
 */
var EXTNAME_IMAGE = exports.EXTNAME_IMAGE = ['.jpg', '.gif', '.png', '.jpeg', '.svg'];

/**
 * 项目的环境变量
 */
var CONFIG_FILE_NAME = exports.CONFIG_FILE_NAME = 'constant/config.js';
var ENV_FILE_NAME = exports.ENV_FILE_NAME = 'constant/env.js';

/**
 * CDN 静态资源替换相关
 */
var DEFAULT_CDN_PATH = exports.DEFAULT_CDN_PATH = 'https://fingertip-static.gdbs.gov.cn/static/yueshengshi/';
var DEFAULT_IMAGE_MAX_SIZE = exports.DEFAULT_IMAGE_MAX_SIZE = 50 * 1024; // 50 kb，超过的提供警告

/**
 * GIT FLOW RELEASE
 */
var RELEASE_VERSION_PREFIX = exports.RELEASE_VERSION_PREFIX = 'dgd';
var RELEASE_VERSION_CGI = exports.RELEASE_VERSION_CGI = 'https://www.donson86.com/dgd-mp-version.json';

/**
 * init 的初始化设置
 */
var QUESTIONS = exports.QUESTIONS = [{
  type: 'input',
  name: 'appName',
  message: '请输入项目名称: ',
  default: ''
}, {
  type: 'input',
  name: 'appDescription',
  message: '请输入项目描述: ',
  default: 'There is no description.'
}, {
  type: 'input',
  name: 'appId',
  message: '请输入项目AppID: ',
  default: 'wxb45e454d8e864ace'
}, {
  type: 'input',
  name: 'mapKey',
  message: '请输入MapKey(不需要用到获取地理位置可不填): '
}, {
  type: 'list',
  name: 'type',
  message: '请选择项目类型？',
  choices: ['子项目' /*, '主项目'*/],
  default: 0
}, {
  type: 'list',
  name: 'digitalgd/index',
  message: '是否需要带上主程序首页？ ',
  choices: ['是', '否'],
  default: 0
}];

/**
 * 分包 digital 页面配置
 */

var DIGITALGD_INDEX = exports.DIGITALGD_INDEX = 'pages/digitalgd/index/index';